error: CUPSEXT could not be loaded. Please check HPLIP installation.

Asked by RDX on 2007-12-27

Nothing works, either because CUPSEXT could not be loaded (hp-setup, etc.) or because libhpmud.so.0 can't be found (it's in /usr/local/lib) and there are no helpful hints, like "Check this specific thing." Some details, Linux Slackware 11.0, kernel 2.4.33.3, HP DeskJet 3420. Cupsd is running, I put foomatic on the system but I have no idea what, if anything, it is doing. Simply stated, where the docs say to install, do nothing it is all automatic, it should say, "If you are here, reading the manual, then something went wrong. So go to troubleshooting list ..." Also, being aware that most problems are due to permissions, I have verified that things are readable, as installed by "make install". Any hints? Thx.

Question information

Language:
English Edit question
Status:
Solved
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Solved by:
Aaron Albright
Solved:
2007-12-27
Last query:
2007-12-27
Last reply:
2007-12-27

We don't fully support Slackware because of Slackware complexities.

Have you looked at this document?

http://www.linuxquestions.org/linux/answers/Applications_GUI_Multimedia/Configuring_HPLIP_for_Slackware_10_2

Although we don't fully support it, it should work, although because we haven't tested it my ability to provide assistance is limited.

You may want to also search here:

http://search.gmane.org/?query=slackware&group=gmane.comp.printing.hplip.user

For some other possible directions on getting it to work.

Sorry for the inconvenience.

Aaron

RDX (clbndallas) said : #2

One of the references you cited made this suggestion: when running ./configure the prefix must be set to /usr, i.e.,
./configure prefix=/usr ...

Doing this has gotten me past the initial problem stated in the title. I am still working to get things all working but this is a big step forward. Thx.